#ifndef _COBJBUFFER_H_
#define _COBJBUFFER_H_

#include "../x/Version.h"
#include "../x/scolplugin.h"
#include "../x/Objstr.h"
#include "layer.h"


//$LB (20/12/2002) : 16bits to 24bits

#define BITSPERPIXEL 24


class CObjBuffer
{
public:
	CObjBuffer();
	virtual ~CObjBuffer();
	
	// les diferrentes fonctions de blits
	virtual int  GetId()=0;
	virtual void Blit(int dx,int dy,Layer *source)=0;
	virtual void Clear(int dx1,int dy1,int dx2,int dy2,int bckcolor)=0;
	virtual int  CreateScolBuffer(mmachine m,int ndxchannel,int idcont)=0;
};

typedef CObjBuffer *PtrObjBuffer;

#define BLIT_DIRECTX 0
#define BLIT_OPENGL	 1
#define BLIT_WINDOWS 2

int DetectBlitType();

#endif